Bug 549593 - Review Request: tumbler - D-Bus service for applications to request thumbnails
Summary: Review Request: tumbler - D-Bus service for applications to request thumbnails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-22 02:41 UTC by Rahul Sundaram
Modified: 2015-03-21 18:58 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-02 09:41:26 UTC
cwickert: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rahul Sundaram 2009-12-22 02:41:03 UTC
Spec URL: http://sundaram.fedorapeople.org/packages/tumbler.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/tumbler-0.1.0-2.fc13.src.rpm
Description: 

Tumbler is a D-Bus service for applications to request thumbnails for various
URI schemes and MIME types. It is an implementation of the thumbnail
management D-Bus specification described on
http://live.gnome.org/ThumbnailerSpec written in an object-oriented fashion

Comment 1 Christoph Wickert 2010-01-12 03:46:23 UTC
Please update the package to 0.1.1 before I do the full review. Some first comments:

- make should be verbose (V=1)

- missing Build requires intltool and gettext 

doesn't build in mock because of

Build Configuration:
  * Debug:                                     minimum
Plugins:
  * GdkPixbuf thumbnailer plugin:              no
  * FreeType font thumbnailer plugin:          no
  * JPEG thumbnailer plugin with EXIF support: no
  * Freedesktop.org cache plugin:              no

- removing rpath with sed should be preferred over chkrpath
https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath

%dir %{_datadir}/gtk-doc/html/tumbler
%doc %{_datadir}/gtk-doc/html/tumbler/*
is the same as
%doc %{_datadir}/gtk-doc/html/tumbler/

Comment 2 Debarshi Ray 2010-01-15 21:49:11 UTC
I anyway needed to build this after I updated my laptop so thought I might as well help you along.

Spec: http://rishi.fedorapeople.org/tumbler.spec
SRPM: http://rishi.fedorapeople.org/tumbler-0.1.1-1.fc12.src.rpm

Comment 3 Christoph Wickert 2010-01-26 02:12:03 UTC
Rahul, please update your package or update the one from Debarshi according to my comments from comment 1. Builds fine in mock now, I guess this was a rawhide problem.

Additionally there still is a missing builddep for the jpeg plugin:

Build Configuration:
  * Debug:                                     minimum
Plugins:
  * GdkPixbuf thumbnailer plugin:              yes
  * FreeType font thumbnailer plugin:          yes
  * JPEG thumbnailer plugin with EXIF support: no
  * Freedesktop.org cache plugin:              yes

Comment 4 Christoph Wickert 2010-02-25 01:12:34 UTC
Any progress on this?

Comment 5 Rahul Sundaram 2010-02-25 07:52:11 UTC
Sorry for the delay and the spec was missing a few BR's that have been added now 

http://sundaram.fedorapeople.org/packages/tumbler.spec
http://sundaram.fedorapeople.org/packages/tumbler-0.1.1-2.fc12.src.rpm

Comment 6 Christoph Wickert 2010-02-27 23:43:48 UTC
OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5 f3f9c549ddac430904f61d80ebf7d1ac
OK - MUST: successfully compiles and builds into binary rpms on x86_64
OK - MUST: no ExcludeArch.
OK - MUST: all build dependencies are listed in BuildRequires.
OK - MUST: handles locales properly with %find_lang
OK - MUST: calls ldconfig in %post and %postun
OK - MUST: does not bundle copies of system libraries.
OK - MUST: not designed to be relocatable
OK - MUST: owns all directories that it creates
OK - MUST: no duplicate files in the %files listing
OK - MUST: permissions on files are set properly, includes %defattr(...)
OK - MUST: package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissable content
N/A - MUST: Large documentation files should go in a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
OK - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
OK - MUST: If a package contains library files with a suffix, then library files that end in .so must go in a -devel package.
OK - MUST: devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop file
OK - MUST: package does not own files or directories already owned by other packages.
OK - MUST: all filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: functions as described.
OK - SHOULD: Scriptlets are sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
OK - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
OK - SHOULD: no file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin


Other items:
OK - latest stable version
OK - SourceURL valid
OK - Compiler flags ok
OK - Debuginfo complete


Issues:
- License tag should be GPLv2+ and LGPLv2+ because the libs are LGPLv2+ and only tumblerd is GPLv2+

- make is not verbose (V=1)

- $ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/tumbler-*
tumbler.src: W: no-cleaning-of-buildroot %install
tumbler.src: W: no-buildroot-tag
tumbler.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 15, tab: line 1)
4 packages and 0 specfiles checked; 0 errors, 3 warnings.

Although the buildroot tag and the cleaning of buildroot are no longer required, it cant hurt to have them. Same for Same for 'Requires: pkgconfig' in the devel package.

Fix the first two, the rest is up to you.

APPROVED

Comment 7 Rahul Sundaram 2010-02-28 18:40:53 UTC
New Package CVS Request
=======================
Package Name: tumbler
Short Description: D-Bus service for applications to request thumbnails
Owners: sundaram
Branches: F-12 
InitialCC: 

It would help at some point if one of the Xfce maintainers apply to be a co-maintainer for this one

Comment 8 Christoph Wickert 2010-02-28 18:59:15 UTC
Sure, no problem.

New Package CVS Request
=======================
Package Name: tumbler
Short Description: D-Bus service for applications to request thumbnails
Owners: sundaram cwickert kevin
Branches: F-12
InitialCC: 

Do we want a F-13 branch as well?

Comment 9 Rahul Sundaram 2010-02-28 19:11:02 UTC
Yep I forgot about the early branching


New Package CVS Request
=======================
Package Name: tumbler
Short Description: D-Bus service for applications to request thumbnails
Owners: sundaram
Branches: F-12  F-13
InitialCC:

Comment 10 Rahul Sundaram 2010-02-28 19:12:11 UTC
Sigh  Third time should be right

New Package CVS Request
=======================
Package Name: tumbler
Short Description: D-Bus service for applications to request thumbnails
Owners: sundaram cwickert kevin
Branches: F-12  F-13
InitialCC:

Comment 11 Jason Tibbitts 2010-02-28 22:31:30 UTC
CVS done (by process-cvs-requests.py).

Comment 12 Orion Poplawski 2011-05-20 15:40:54 UTC
Package Change Request
======================
Package Name: tumbler
New Branches: el6
Owners: sundaram cwickert kevin
InitialCC:

Comment 13 Kevin Fenzi 2011-05-20 22:25:49 UTC
Git done (by process-git-requests).

Comment 14 Rahul Sundaram 2011-05-20 22:31:16 UTC
umm.  why am I being listed as a owner for the EL6 branch.  I don't even own the other Fedora branches anymore.

Comment 15 Mukundan Ragavan 2015-03-21 17:37:50 UTC
Package Change Request
======================
Package Name: tumbler
New Branches: epel7
Owners: cwickert kevin nonamedotc
InitialCC: nonamedotc

Comment 16 Gwyn Ciesla 2015-03-21 18:58:59 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.